<?php

namespace OilDatabase\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Tag
 */
class TagDisease
{
    /**
     * @var integer
     */
    private $id;

    /**
     * @var \OilDatabase\Entity\Tag
     */
    private $tag;

    /**
     * @var \OilDatabase\Entity\Disease
     */
    private $disease;

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set disease
     *
     * @param \OilDatabase\Entity\Disease $disease
     * @return TagDisease
     */
    public function seDisease(\OilDatabase\Entity\Disease $disease = null)
    {
        $this->disease = $disease;

        return $this;
    }

    /**
     * Get category
     *
     * @return \OilDatabase\Entity\Disease
     */
    public function getDisease()
    {
        return $this->disease;
    }

    /**
     * Set tag
     *
     * @param \OilDatabase\Entity\Tag $tag
     * @return Disease
     */
    public function setTag(\OilDatabase\Entity\Tag $tag = null)
    {
        $this->tag = $tag;

        return $this;
    }

    /**
     * Get category
     *
     * @return \OilDatabase\Entity\Tag
     */
    public function getTag()
    {
        return $this->tag;
    }
}

